/***********************************************
 Version of project: 1.1 release
************************************************
 Main.cpp -   
    3-10
 :  , -30,  ''
 Version 0.65 beta
 Last update: 26.05.2001
*************************************************
            :
         ----------------------
 --      ,
 --     ,
 --    StringGrid,
 --   ,
 --      ,
 --   Memo   ,  .

 :
        -  ..
	-  
	-     
	-  

       .
************************************************/

#include <vcl.h>
#pragma hdrstop

#include "Main.h"
#include "About.h"
//       
#include "Stud.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfmMain *fmMain;

//   -       
TStud *pGrupa = NULL;
int kol_stud = 0;
//---------------------------------------------------------------------------
__fastcall TfmMain::TfmMain(TComponent* Owner)
        : TForm(Owner)
{
  StringGrid1->Cells[0][0] = " ..";
  StringGrid1->Cells[1][0] = "";
  StringGrid1->Cells[2][0] = "";
  StringGrid1->Cells[3][0] = "";
}
//---------------------------------------------------------------------------
void __fastcall TfmMain::Init(const char file_name[], int &fkol_stud)
{
   //     ,   
   if (! pGrupa == NULL) {
     delete [] pGrupa;
     pGrupa = NULL;
   }
   //      
   fkol_stud = Find_kol(file_name);
   try {
     pGrupa = new TStud [fkol_stud];
   }
   catch (bad_alloc)
   {
    Application->MessageBox("!   ." ,"!",MB_ICONSTOP);
    return;
   }

   //  
   StringGrid1->RowCount = fkol_stud + 1;
   ProgressBar1->Max = fkol_stud * 5;
   for (int i = 0; i < fmMain->StringGrid1->ColCount; i++)
     for (int j = 1; j < fmMain->StringGrid1->RowCount; j++)
       fmMain->StringGrid1->Cells[i][j] = "";
   fmMain->Memo1->Lines->Clear();
}
//---------------------------------------------------------------------------
void __fastcall TfmMain::btQuitClick(TObject *Sender)
{
  delete [] pGrupa;
  pGrupa = NULL;
  Close();
}
//---------------------------------------------------------------------------
void __fastcall TfmMain::btReadClick(TObject *Sender)
{
  //    
  Init(edFile_in->Text.c_str(), kol_stud);
  Read_file(pGrupa, edFile_in->Text.c_str());
  Show_g(pGrupa,StringGrid1->RowCount);
  Enable_but();
}
//---------------------------------------------------------------------------
void __fastcall TfmMain::btShowClick(TObject *Sender)
{
  //   
  Show_tel(pGrupa,StringGrid1->RowCount);
  btShow->Enabled = false;
}
//---------------------------------------------------------------------------
void __fastcall TfmMain::btSortClick(TObject *Sender)
{
  //    
  Sort_by_ABC(pGrupa, kol_stud);
  Show_g(pGrupa,StringGrid1->RowCount);
  btSort->Enabled = false;
}
//---------------------------------------------------------------------------
void __fastcall TfmMain::btWriteClick(TObject *Sender)
{
  //    
  Write_file(pGrupa, kol_stud, edFile_out->Text.c_str());
}
//---------------------------------------------------------------------------
void __fastcall TfmMain::btOpenClick(TObject *Sender)
{
  if (OpenDialog1->Execute()) {
    Init(OpenDialog1->FileName.c_str(), kol_stud);
    Read_file(pGrupa, OpenDialog1->FileName.c_str() );
    Show_g(pGrupa,StringGrid1->RowCount);
    Enable_but();
  }
}
//---------------------------------------------------------------------------
void __fastcall TfmMain::btSaveClick(TObject *Sender)
{
  if (SaveDialog1->Execute())
    Write_file(pGrupa, kol_stud, SaveDialog1->FileName.c_str() );
}
//---------------------------------------------------------------------------
void __fastcall TfmMain::N1Click(TObject *Sender)
{
  if (SaveDialog1->Execute()) {
    try {
      Memo1->Lines->SaveToFile(SaveDialog1->FileName);
    }
     catch(...) {
       Application->MessageBox("   !", "!", MB_ICONSTOP);
     }
  }
}
//---------------------------------------------------------------------------

void __fastcall TfmMain::N8Click(TObject *Sender)
{
   Application->CreateForm(__classid(TfmAbout), &fmAbout);
   fmAbout->ShowModal();
}
//---------------------------------------------------------------------------

