//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Grids.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
        TStatusBar *StatusBar1;
        TBitBtn *btRead;
        TBitBtn *btWrite;
        TBitBtn *btShow;
        TBitBtn *btSort;
        TProgressBar *ProgressBar1;
        TEdit *edFile_out;
        TEdit *edFile_in;
        TBevel *Bevel1;
        TBitBtn *btOpen;
        TBitBtn *btSave;
        TBitBtn *btQuit;
        TLabel *Label1;
        TMemo *Memo1;
        TLabel *Label2;
        TStringGrid *StringGrid1;
        TPopupMenu *PopupMenu1;
        TMenuItem *N1;
        TMainMenu *MainMenu1;
        TMenuItem *N2;
        TMenuItem *N3;
        TMenuItem *N4;
        TMenuItem *N5;
        TMenuItem *N6;
        TMenuItem *N7;
        TMenuItem *N8;
        TSaveDialog *SaveDialog1;
        TOpenDialog *OpenDialog1;
        void __fastcall btQuitClick(TObject *Sender);
        void __fastcall btReadClick(TObject *Sender);
        void __fastcall btShowClick(TObject *Sender);
        void __fastcall btSortClick(TObject *Sender);
        void __fastcall btWriteClick(TObject *Sender);
        void __fastcall btOpenClick(TObject *Sender);
        void __fastcall btSaveClick(TObject *Sender);
        void __fastcall N1Click(TObject *Sender);
        void __fastcall N8Click(TObject *Sender);
private:	// User declarations
        void __fastcall Init(const char file_name[], int &fkol_stud);
public:		// User declarations
        __fastcall TfmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
