/***********************************************
 Stud.cpp -  
    3-10
 :  , -30,  ''
 Version 0.61 beta
 Last update: 22.05.2001
************************************************/

#include <vcl.h>
#pragma hdrstop

#include "Stud.h"

//----------------------------------------------------------------------------
void Enable_but()
{
   fmMain->btWrite->Enabled = true;
   fmMain->btSort->Enabled = true;
   fmMain->btShow->Enabled = true;
   fmMain->btSave->Enabled = true;
}
//----------------------------------------------------------------------------
int Find_kol(const char file_name[])
{
   ifstream infile(file_name);
   if (!infile){
     char error_mes[] = "!     ";
     strcat(error_mes, file_name);
     Application->MessageBox(error_mes,"!",MB_ICONSTOP);
     return 0;
   }

   int i = 0;
   char temp[81];
   //  -   
   while (! infile.eof() ){
     infile.getline(temp, 80);
     i++;
   }
   infile.close();

   AnsiString mes1 = " " + AnsiString(file_name);
   AnsiString mes2 = "  : " + IntToStr(i);
   fmMain->StatusBar1->Panels->Items[0]->Text = mes1;
   fmMain->StatusBar1->Panels->Items[1]->Text = mes2;
   
   return i;
}
//----------------------------------------------------------------------------
void Show_g(const TStud fGrupa[], int fkol_stud)
{
   for(int i = 0; i < fkol_stud; i++)
   //  -   
     fGrupa[i].Show(i+1);
}
//----------------------------------------------------------------------------
void Read_file(TStud fGrupa[], const char file_name[])
{
   fmMain->Label1->Caption = "   ";
   ifstream infile(file_name);
   if (!infile){
     char error_mes[] = "!     ";
     strcat(error_mes ,file_name);
     Application->MessageBox(error_mes,"!",MB_ICONSTOP);
     return;
   }

   fmMain->ProgressBar1->Position = 0;
   fmMain->ProgressBar1->Show();
   int i = 0;
   //    
   while (! infile.eof() ){
     infile >> fGrupa[i].Fam >> fGrupa[i].Nam >> fGrupa[i].Par >> fGrupa[i].Year >> fGrupa[i].Month >> fGrupa[i].Tel;
     fmMain->ProgressBar1->StepIt();    //    
     i++;
   }
   infile.close();
   fmMain->Label1->Caption = "  ";
}
//----------------------------------------------------------------------------
void Sort_by_ABC(TStud fGrupa[], int fkol_stud)
{
   fmMain->Label1->Caption = "";
   fmMain->ProgressBar1->Position = 0;

   bool sort;
   TStud temp; //     
   do {
     fmMain->ProgressBar1->StepIt(); //   
     sort = false;
     for (int i = 0; i < fkol_stud-1; i++)
       if (StrComp(fGrupa[i].Fam,fGrupa[i+1].Fam) > 0) {
       //   1-  > 2-   ...
         temp = fGrupa[i];
         fGrupa[i] = fGrupa[i+1];
         fGrupa[i+1] = temp;
         sort = true;
     } // if, for
   } while (sort);
   fmMain->ProgressBar1->Position = fmMain->ProgressBar1->Max;
   fmMain->Label1->Caption = " ";
}
//----------------------------------------------------------------------------
void Show_tel(const TStud fGrupa[], int fkol_stud)
{
   for (int i = 0; i < fkol_stud; i++)
     if (
         ( StrComp(fGrupa[i].Month,"june") == 0 ||
           StrComp(fGrupa[i].Month,"july") == 0 ||
           StrComp(fGrupa[i].Month,"august") == 0
         )
        && //     
           StrComp(fGrupa[i].Tel,"none")
        )
        //  " "    
        fGrupa[i].Show_t();
}
//----------------------------------------------------------------------------
void Write_file(const TStud fGrupa[], int fkol_stud, const char file_name[])
{
   fmMain->Label1->Caption = "   ";
   ofstream outfile(file_name);
   if (!outfile){
     char error_mes[] = "!       ";
     strcat(error_mes ,file_name);
     Application->MessageBox(error_mes,"!",MB_ICONSTOP);
     return;
   }
   fmMain->ProgressBar1->Position = 0;
   for (int i = 0; i < fkol_stud; i++){    //    
     outfile << fGrupa[i].Fam << ' ' << fGrupa[i].Nam << ' ' << fGrupa[i].Par << ' ' << fGrupa[i].Year << ' ' << fGrupa[i].Month << ' ' << fGrupa[i].Tel;
     if (i < fkol_stud-1)
       outfile << "\n";
     fmMain->ProgressBar1->StepIt();    //    
   }
   outfile.close();
   fmMain->Label1->Caption = "  ";
}
